Page MenuHomePhabricator

Hovercards do not show thumbnails in Safari browser
Closed, ResolvedPublic2 Story Points

Description

If you have Hovercards enabled and are using Safari on a Mac, you do not see the images in the pop up.

Steps to reproduce.

  • Find a Mac and open Safari :)
  • Login to any Wikimedia wiki with Hovercards available as a beta feature
  • Enable Hovercards
  • Visit an article with an internal link to a page with a freely licensed photo
  • Hover over that link
  • See something like this:

Software versions:

  • Mac OS X 10.11.5 (El Capitan)
  • Safari 9.1.1

This was reported by a community member at: https://www.mediawiki.org/w/index.php?title=Topic:T6d7r5op34wrm7gx

See also: T64985

Details

Related Gerrit Patches:
mediawiki/extensions/Popups : masterWorkaround for display of SVG images in Safari

Event Timeline

Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 22 2016, 5:43 PM
Jdlrobson added a subscriber: Jdlrobson.

SVG related?

Jdlrobson triaged this task as High priority.Jun 23 2016, 5:14 PM

@dr0ptp4kt this was almost UBN. Would be good if you could prioritize this very highly.

Yikes. Let's fix this the right way, and let's do so in the current sprint. I'm updating the tags and will move it in the sprint and backlog boards.

I can replicate on Version 9.1.1 (11601.6.17) of Safari on OSX

jhobs removed jhobs as the assignee of this task.Jun 27 2016, 7:30 PM

Throwing this up for grabs while I'm working on the UBN.

Change 296278 had a related patch set uploaded (by Jdlrobson):
Workaround for display of SVG images in Safari

https://gerrit.wikimedia.org/r/296278

Not proud of fix, can't work out why it's a problem, but it does the job. If anyone wants to investigate more feel free..

phuedx added a subscriber: phuedx.

^ I've had a little too much coffee today ☕️

Change 296278 merged by jenkins-bot:
Workaround for display of SVG images in Safari

https://gerrit.wikimedia.org/r/296278

Jdlrobson closed this task as Resolved.Jun 29 2016, 11:09 PM
Jdlrobson claimed this task.
Jhernandez set the point value for this task to 1.Jun 30 2016, 8:54 AM
Jdlrobson changed the point value for this task from 1 to 2.Jun 30 2016, 3:28 PM